package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description AiPictureVOListVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 10:40
 * @ClassName AiPictureVOListVO
 * @Remark
 */
public class AiPictureVOListVO {

    private Integer sn;
    private Integer vehicleID;
    private String vehicleNO;
    private String orgName;
    private Date gpsTime;
    private String gpsTimeView;
    private BigDecimal lon;
    private BigDecimal lat;
    //private Integer direction;
    private Integer speed;
    private BigDecimal odometer;
    //private BigDecimal runOdometer;
    //private String status;
    //private String fileName;
    private Date picTime;
    private String picTimeView;
    private Integer fristTypeID;
    private String fristTypeName;
    private Integer secondTypeID;
    private String secondTypeName;
    private Integer eventTypeID;
    private String eventTypeName;
    private String areaName;
    private String placeName;
    private Integer route;
    private String routeView;
    //照片数据类型 0.二进制，1.OSS照片
    private Integer picDataType;
    //照片或视频类型 0.照片，1.视频，2.照片+视频
    private Integer urlType;
    /// <summary>
    /// 附件数据
    /// </summary>
    private List<AttachmentVO> attachmentList;
    private List<AttachmentVO> videos;
    private List<AttachmentVO> pictures;

    public Integer getSn() {
        return sn;
    }

    public void setSn(Integer sn) {
        this.sn = sn;
    }

    public Integer getVehicleID() {
        return vehicleID;
    }

    public void setVehicleID(Integer vehicleID) {
        this.vehicleID = vehicleID;
    }

    public String getVehicleNO() {
        return vehicleNO;
    }

    public void setVehicleNO(String vehicleNO) {
        this.vehicleNO = vehicleNO;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Date getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(Date gpsTime) {
        this.gpsTime = gpsTime;
    }

    public String getGpsTimeView() {
        return gpsTimeView;
    }

    public void setGpsTimeView(String gpsTimeView) {
        this.gpsTimeView = gpsTimeView;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public BigDecimal getOdometer() {
        return odometer;
    }

    public void setOdometer(BigDecimal odometer) {
        this.odometer = odometer;
    }

    public Date getPicTime() {
        return picTime;
    }

    public void setPicTime(Date picTime) {
        this.picTime = picTime;
    }

    public String getPicTimeView() {
        return picTimeView;
    }

    public void setPicTimeView(String picTimeView) {
        this.picTimeView = picTimeView;
    }

    public Integer getFristTypeID() {
        return fristTypeID;
    }

    public void setFristTypeID(Integer fristTypeID) {
        this.fristTypeID = fristTypeID;
    }

    public String getFristTypeName() {
        return fristTypeName;
    }

    public void setFristTypeName(String fristTypeName) {
        this.fristTypeName = fristTypeName;
    }

    public Integer getSecondTypeID() {
        return secondTypeID;
    }

    public void setSecondTypeID(Integer secondTypeID) {
        this.secondTypeID = secondTypeID;
    }

    public String getSecondTypeName() {
        return secondTypeName;
    }

    public void setSecondTypeName(String secondTypeName) {
        this.secondTypeName = secondTypeName;
    }

    public Integer getEventTypeID() {
        return eventTypeID;
    }

    public void setEventTypeID(Integer eventTypeID) {
        this.eventTypeID = eventTypeID;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public Integer getRoute() {
        return route;
    }

    public void setRoute(Integer route) {
        this.route = route;
    }

    public String getRouteView() {
        return routeView;
    }

    public void setRouteView(String routeView) {
        this.routeView = routeView;
    }

    public Integer getPicDataType() {
        return picDataType;
    }

    public void setPicDataType(Integer picDataType) {
        this.picDataType = picDataType;
    }

    public Integer getUrlType() {
        return urlType;
    }

    public void setUrlType(Integer urlType) {
        this.urlType = urlType;
    }

    public List<AttachmentVO> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<AttachmentVO> attachmentList) {
        this.attachmentList = attachmentList;
    }

    public List<AttachmentVO> getVideos() {
        return videos;
    }

    public void setVideos(List<AttachmentVO> videos) {
        this.videos = videos;
    }

    public List<AttachmentVO> getPictures() {
        return pictures;
    }

    public void setPictures(List<AttachmentVO> pictures) {
        this.pictures = pictures;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("sn", sn)
                .add("vehicleID", vehicleID)
                .add("vehicleNO", vehicleNO)
                .add("orgName", orgName)
                .add("gpsTime", gpsTime)
                .add("gpsTimeView", gpsTimeView)
                .add("lon", lon)
                .add("lat", lat)
                .add("speed", speed)
                .add("odometer", odometer)
                .add("picTime", picTime)
                .add("picTimeView", picTimeView)
                .add("fristTypeID", fristTypeID)
                .add("fristTypeName", fristTypeName)
                .add("secondTypeID", secondTypeID)
                .add("secondTypeName", secondTypeName)
                .add("eventTypeID", eventTypeID)
                .add("eventTypeName", eventTypeName)
                .add("areaName", areaName)
                .add("placeName", placeName)
                .add("route", route)
                .add("routeView", routeView)
                .add("picDataType", picDataType)
                .add("urlType", urlType)
                .add("attachmentList", attachmentList)
                .add("videos", videos)
                .add("pictures", pictures)
                .toString();
    }
}
